MsWrdStruct::Section Struct Reference

the section structure of a Microsoft Word file More...

`#include <MsWrdStruct.hxx>`

## Public Member Functions

| Section ()
| constructor
MWAWSection | getSection (double pageWidth) const
| returns a section
void | insert (Section const &sec)
| insert the new values
bool | read (MWAWInputStreamPtr &input, long endPos)
| try to read a data
bool | readV3 (MWAWInputStreamPtr &input, long endPos)
| try to read a data ( v3 code )

## Public Attributes

MWAWVariable< int > | m_id
| the identificator
MWAWVariable< int > | m_type
| the type
MWAWVariable< int > | m_paragraphId
| the paragraph id
MWAWVariable< int > | m_col
| the num of columns
MWAWVariable< float > | m_colSep
| the spacing between column
MWAWVariable< bool > | m_colBreak
| only a column break
MWAWVariable< int > | m_flag
| some flag ( in the main position)
std::string | m_extra
| the errors

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &section)
| operator<<

## Detailed Description

the section structure of a Microsoft Word file

## Constructor & Destructor Documentation

## Section()

MsWrdStruct::Section::Section | ( |  | ) |

inline

constructor

Referenced by insert(), and operator<<.

## Member Function Documentation

## getSection()

MWAWSection MsWrdStruct::Section::getSection | ( | double | pageWidth | ) | const

returns a section

Referenced by MsWrdTextStyles::setProperty().

## insert()

void MsWrdStruct::Section::insert | ( | Section const & | sec | ) |

inline

insert the new values

## read()

bool MsWrdStruct::Section::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos )

try to read a data

Referenced by MsWrdTextStyles::readSection().

## readV3()

bool MsWrdStruct::Section::readV3 | ( | MWAWInputStreamPtr & | input,
|  | long | endPos )

try to read a data ( v3 code )

Referenced by MsWrdTextStyles::readSection().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Section const & | section )

friend

operator<<

## Member Data Documentation

## m_col

MWAWVariable<int> MsWrdStruct::Section::m_col

the num of columns

Referenced by getSection(), insert(), operator<<, read(), readV3(), Section(), and MsWrdTextStyles::setProperty().

## m_colBreak

MWAWVariable<bool> MsWrdStruct::Section::m_colBreak

only a column break

Referenced by insert(), operator<<, read(), Section(), and MsWrdTextStyles::setProperty().

## m_colSep

MWAWVariable<float> MsWrdStruct::Section::m_colSep

the spacing between column

Referenced by getSection(), insert(), operator<<, read(), readV3(), and Section().

## m_extra

std::string MsWrdStruct::Section::m_extra

the errors

Referenced by insert(), operator<<, read(), readV3(), and Section().

## m_flag

MWAWVariable<int> MsWrdStruct::Section::m_flag

some flag ( in the main position)

Referenced by insert(), operator<<, MsWrdTextStyles::readSection(), and Section().

## m_id

MWAWVariable<int> MsWrdStruct::Section::m_id

the identificator

Referenced by insert(), MsWrdTextStyles::readSection(), MsWrdTextStyles::readSection(), and Section().

## m_paragraphId

MWAWVariable<int> MsWrdStruct::Section::m_paragraphId

the paragraph id

Referenced by MsWrdTextStyles::getSectionFont(), MsWrdTextStyles::getSectionParagraph(), insert(), operator<<, and Section().

## m_type

MWAWVariable<int> MsWrdStruct::Section::m_type

the type

Referenced by insert(), operator<<, MsWrdTextStyles::readSection(), and Section().

The documentation for this struct was generated from the following files:

- MsWrdStruct.hxx
- MsWrdStruct.cxx